SECRET_KEY = ''
ROOT_URL = ''
DJANGO_PORT = 0000
DJANGO_URL = ''
ALLOWED_HOSTS = []

# DB settings
DB_NAME = ''
DB_USER = ''
DB_PASS = ''
DB_HOST = ''

# ElasticSearch settings
ES_URL = ''
ES_PORT = ''

# Redis settings
REDIS_URL = ''
REDIS_PORT = 0000
REDIS_PASS = ''
BROKER_URL = ''

# Celery settings
CELERY_RESULT_BACKEND = ''
CELERY_ACCEPT_CONTENT = []
CELERY_TASK_SERIALIZER = ''
CELERY_RESULT_SERIALIZER = ''
CELERY_TIMEZONE = ''

# Keycloak settings
KEYCLOAK_SERVER_URL = ''
KEYCLOAK_CLIENT = ''
KEYCLOAK_PUBLIC_KEY = """"""
USE_KEYCLOAK = True
KEYCLOAK_ACCESS_CLIENT = ''

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True
SEND_EMAIL = True
CORS_ORIGIN_WHITELIST = []
CORS_ALLOW_HEADERS = []

# CLAMAV SETTINGS
CLAMAV_ENABLED = False
# DataCite settings
DATACITE_REPOSITORY_ID = ''
DATACITE_PASSWORD = ''
DATACITE_PREFIX = ''
DATACITE_TEST_MODE = True
DOI_RESOLVE_URL = ''

# Email settings
EMAIL_HOST = ''
EMAIL_HOST_USER = ''
EMAIL_HOST_PASSWORD = ''
EMAIL_PORT = 587
EMAIL_USE_TLS = True
EMAIL_FAIL_SILENTLY = False
# Size in KB
EMAIL_ATTACHMENT_LIMIT = 10240

# main system user
SYSTEM_USER = ''
BACKEND_ADDRESS = ''

GLOTTOLOG_SERVICE_ENDPOINT = ''

XML_VALIDATOR_URL = ''
# DLE
DLE_API_KEY = ''
DLE_BACKEND_URL = ''
MS_ONTOLOGY_SERVICE = ''
ZENODO_HARVESTING_SERVICE = ''
# elg docker registry
ELG_DOCKER_REGISTRY = ''

HARVEST_EMAILS = []